%Beispiel 14.3-13a
%bsp_14_3_13a_m.m, bsp_14_3_13a.mdl
%Reihenschaltung von NL-Elementen
%Zweipunkt-Element, Integralelement, Totzone
%Berechnung der Signalverlufe

d1 = 2.0;
c2 = 0.1;
sim ('bsp_14_3_13a')
hold on
tmin =  -0.25; tmax = 1.2;
ymin = -1.1; ymax = 1.1;
axis ([tmin tmax ymin ymax])
% plot([tmin tmax],[0 0],'r-')
% plot([0 0],[ymin ymax],'r-')
% xd(t), Eingangssignal, Sinussignal
plot(xout(:,5), xout(:,1),'k-')
% x1(t), Rechtecksignal 
plot(xout(:,5), xout(:,2)/d1,'--')
% x2(t), Dreieckssignal
plot(xout(:,5), xout(:,3),'--')
% y(t), Ausgangssignal, Dreieckssignal mit Totzone
plot(xout(:,5), xout(:,4),'k-')
% y1(t), 1. Harmonische (Grundwelle) von y(t)
xout(:,6) = -0.28*cos(2*pi*xout(:,5));
plot(xout(:,5), xout(:,6),'k-')
%
text (0.13,0.66,'x_d')
text (0.51,0.91,'x_1/d_1')
text (0.015,-0.52,'x_2')
text (0.36,0.07,'y')
text (0.11,-0.1,'y')
text (0.02,-0.24,'y_1')
title  ('Signalverlufe der Reihenschaltung')
xlabel ('t / s') 
ylabel ('Sinussignal x_d(t), Dreieckssignal mit Totzone y(t), 1. Harmonische y_1(t)')
grid on
hold off