%MATLAB Script-File sf_plan1_164.m
%einschleifiger Signalfluplan
%Parameter Regler, Strecke:
KR=0.63; KS=2; DS=1.2; w0s=1; KM=1.5; 
GR=tf(KR,1);		%bertragungsfunktion des Reglers
					%Zhler- u. Nenner-Polynome der Strecke:
numGS=KS*w0s^2; denGS=[1,2*DS*w0s,w0s^2]; 
GS=tf(numGS,denGS);	%bertragungsfunktion der Strecke
numGM=1.5; denGM=1;	%Zhler- u. Nenner-Polynome der Meeinrichtung
GM=tf(numGM,denGM);	%bertragungsfunktion der Meeinrichtung
GRS=GR*GS; %bertragungsfunktion des offenen Regelkreises:

%Fhrungsbertragungsfunktion: G(s) = x(s)/w(s)
fprintf('\n')			%neue Zeile
disp('Fhrungsbertragungsfunktion:')
G=feedback(GRS,GM)		%G(s) ausgeben

%Strungsbertragungsfunktion: Gz(s) = x(s)/z(s)
fprintf('\n')			%neue Zeile
disp('Strungsbertragungsfunktion:')
Gz=feedback(1,GRS*GM)	%Gz(s) ausgeben
