%MATLAB Script-File steuer_168.m
%Steuerbarkeit eines Regelungssystems 
KS=2; KR=3; TS=10; T1=1;     %Parameter
TV=input('TV=');             %Eingabe TV 
A=[-1/TS KS*(1-TV/T1)/TS;
0 -1/T1];                    %Systemmatrix
b=[KR*KS*TV/(T1*TS); KR/T1]; %Eingangsvektor
c=[1, 0];					 %Ausgangsvektor
d=0;						 %Durchgangsfaktor
Modellordnung=length(A)             
QS=ctrb(A,b)                 %Steuerbarkeitsmatrix
Rang_QS=rank(QS)             %Rang der Steuerbarkeitsmatrix
sys_min=minreal(ss(A,b,c,d));%minimales Zustandsmodell
GRS_min=zpk(sys_min)		 %minimale bertragungsfunktion