%Beispiel 14.5-1
%bsp_14_5_01_m.m, bsp_14_5_01.mdl
%Regelkreis mit NL-Elementen
%Zweipunkt-Element mit Schaltdifferenz
%Regelstrecke mit Totzeit und PT1-Element
KS = 4; TS = 5; Tt = 0.5;
xdo = 0.05; xdu = -xdo;
yo = 0.5; yu = 0.0;
clf;
sim ('bsp_14_5_01')
hold on
tmin = -2.0; tmax = 22;
ymin = -0.1; ymax = 1.3;
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
% x(t), Regelgre, Stellgre
plot(t, x,'-') % x(t), y(t)
title  ('Arbeitsbewegung eines Zweipunktreglers mit Schaltdifferenz')
xlabel ('t / s') 
ylabel ('Regelgre  x(t), Stellgre y(t)')
grid on
text (2.8, 1.05,'x(t)');
text (3.0, 0.55,'y(t)');
hold off