%file-name strecken_impulsantwort2.m
clear all

KS = 2.5; T1 = 1; T2 = 2; T3 = 3; TV = 5;
T = 0.5;

disp ('Impulsantworten---------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/s')
GS1 = tf(KS,[1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/s^2')
GS1 = tf(KS,[1 0 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)')
GS1 = tf(KS,[T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)')
GS1 = tf([1 0],[T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+sTV)/(1+sT1)')
GS1 = tf([KS*TV  KS],[T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)s)')
GS1 = tf([KS],[T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+sTV)/((1+sT1)s)')
GS1 = tf([KS*TV KS],[T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)(1+sT2)')
GS1 = tf([KS],[T1*T2 T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)(1+sT2)')
GS1 = tf([1  0],[T1*T2 T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+sTV)/(1+sT1)(1+sT2)')
GS1 = tf([KS*TV  KS],[T1*T2 T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)(1+sT2)s)')
GS1 = tf([KS],[T1*T2 T1+T2 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+sTV)/((1+sT1)(1+sT2)s)')
GS1 = tf([KS*TV  KS],[T1*T2 T1+T2 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)^2')
GS1 = tf(KS,[T1*T1  2*T1  1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)^2')
GS1 = tf([1 0],[T1*T1 2*T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/(1+sT1)^2')
GS1 = tf([KS*TV  KS],[T1*T1 2*T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)^2s)')
GS1 = tf([KS],[T1*T1 2*T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/((1+sT1)^2s)')
GS1 = tf([KS*TV  KS],[T1*T1 2*T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)(1+sT2)(1+sT3)')
GS1 = tf([KS],[T1*T2*T3 T1*T2+T2*T3+T3*T1 T1+T2+T3 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)(1+sT2)(1+sT3)')
GS1 = tf([1 0],[T1*T2*T3 T1*T2+T2*T3+T3*T1 T1+T2+T3 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+sTV)/(1+sT1)(1+sT2)(1+sT3)')
GS1 = tf([KS*TV  KS],[T1*T2*T3 T1*T2+T2*T3+T3*T1 T1+T2+T3 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)(1+sT2)(1+sT3)s)')
GS1 = tf([KS],[T1*T2*T3 T1*T2+T2*T3+T3*T1 T1+T2+T3 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS((1+sTV)/(1+sT1)(1+sT2)(1+sT3)s)')
GS1 = tf([KS*TV  KS],[T1*T2*T3 T1*T2+T2*T3+T3*T1 T1+T2+T3 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)^2(1+sT2)')
GS1 = tf([KS],[T1*T1*T2 2*T1*T2+T1*T1 2*T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)^2(1+sT2)')
GS1 = tf([1 0],[T1*T1*T2 2*T1*T2+T1*T1 2*T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/(1+sT1)^2(1+sT2)')
GS1 = tf([KS*TV  KS],[T1*T1*T2 2*T1*T2+T1*T1 2*T1+T2 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)^2(1+sT2)s)')
GS1 = tf([KS],[T1*T1*T2 2*T1*T2+T1*T1 2*T1+T2 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/((1+sT1)^2(1+sT2)s)')
GS1 = tf([KS*TV  KS],[T1*T1*T2 2*T1*T2+T1*T1 2*T1+T2 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/(1+sT1)^3')
GS1 = tf(KS,[T1^3 3*T1^2 3*T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element s/(1+sT1)^3')
GS1 = tf([1 0],[T1^3 3*T1^2 3*T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/(1+sT1)^3')
GS1 = tf([KS*TV  KS],[T1^3 3*T1^2 3*T1 1])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS/((1+sT1)^3s)')
GS1 = tf([KS],[T1^3 3*T1^2 3*T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Element KS(1+TVs)/((1+sT1)^3s)')
GS1 = tf([KS*TV  KS],[T1^3 3*T1^2 3*T1 1 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')


Impulsantworten---------------------------------------
------------------------------------------------------
Nr. : Element KS/s
Transfer function:
2.5
---
 s
Transfer function:
2.5 z
-----
z - 1
------------------------------------------------------
Nr. : Element KS/s^2
 Transfer function:
2.5
---
s^2
Transfer function:
   1.25 z
-------------
z^2 - 2 z + 1
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)
Transfer function:
 2.5
-----
s + 1
Transfer function:
  2.5 z
----------
z - 0.6065
------------------------------------------------------
Nr. : Element s/(1+sT1)
Transfer function:
  s
-----
s + 1
Transfer function:
    -z
----------
z - 0.6065
------------------------------------------------------
Nr. : Element KS(1+sTV)/(1+sT1)
Transfer function:
12.5 s + 2.5
------------
   s + 1
Transfer function:
  -10 z
----------
z - 0.6065
------------------------------------------------------
Nr. : Element KS/((1+sT1)s)
Transfer function:
  2.5
-------
s^2 + s
Transfer function:
       0.9837 z
----------------------
z^2 - 1.607 z + 0.6065
------------------------------------------------------
Nr. : Element KS(1+sTV)/((1+sT1)s)
Transfer function:
12.5 s + 2.5
------------
  s^2 + s
Transfer function:
12.5 z^2 - 11.52 z - 3.836e-015
-------------------------------
    z^2 - 1.607 z + 0.6065
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)(1+sT2)
Transfer function:
      2.5
---------------
2 s^2 + 3 s + 1
Transfer function:
0.4307 z - 4.781e-017
----------------------
z^2 - 1.385 z + 0.4724
------------------------------------------------------
Nr. : Element s/(1+sT1)(1+sT2)
Transfer function:
       s
---------------
2 s^2 + 3 s + 1
Transfer function:
  0.5 z^2 - 0.4755 z
----------------------
z^2 - 1.385 z + 0.4724
------------------------------------------------------
Nr. : Element KS(1+sTV)/(1+sT1)(1+sT2)
Transfer function:
 12.5 s + 2.5
---------------
2 s^2 + 3 s + 1
Transfer function:
  6.25 z^2 - 5.514 z
----------------------
z^2 - 1.385 z + 0.4724
------------------------------------------------------
Nr. : Element KS/((1+sT1)(1+sT2)s)
Transfer function:
       2.5
-----------------
2 s^3 + 3 s^2 + s
Transfer function:
0.1223 z^2 + 0.09527 z - 1.375e-016
-----------------------------------
z^3 - 2.385 z^2 + 1.858 z - 0.4724
------------------------------------------------------
Nr. : Element KS(1+sTV)/((1+sT1)(1+sT2)s)
Transfer function:
  12.5 s + 2.5
-----------------
2 s^3 + 3 s^2 + s
Transfer function:
 2.276 z^2 - 2.058 z - 2.285e-016
----------------------------------
z^3 - 2.385 z^2 + 1.858 z - 0.4724
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)^2
Transfer function:
     2.5
-------------
s^2 + 2 s + 1
Transfer function:
       0.7582 z
----------------------
z^2 - 1.213 z + 0.3679
------------------------------------------------------
Nr. : Element s/(1+sT1)^2
Transfer function:
      s
-------------
s^2 + 2 s + 1
Transfer function:
    z^2 - 0.9098 z
----------------------
z^2 - 1.213 z + 0.3679
------------------------------------------------------
Nr. : Element KS(1+TVs)/(1+sT1)^2
Transfer function:
12.5 s + 2.5
-------------
s^2 + 2 s + 1
Transfer function:
12.5 z^2 - 10.61 z - 1.178e-015
-------------------------------
    z^2 - 1.213 z + 0.3679
------------------------------------------------------
Nr. : Element KS/((1+sT1)^2s)
Transfer function:
      2.5
---------------
s^3 + 2 s^2 + s
Transfer function:
0.2255 z^2 + 0.1615 z - 8.967e-017
----------------------------------
z^3 - 2.213 z^2 + 1.581 z - 0.3679
------------------------------------------------------
Nr. : Element KS(1+TVs)/((1+sT1)^2s)
Transfer function:
 12.5 s + 2.5
---------------
s^3 + 2 s^2 + s
Transfer function:
       4.016 z^2 - 3.629 z
----------------------------------
z^3 - 2.213 z^2 + 1.581 z - 0.3679
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)(1+sT2)(1+sT3)
Transfer function:
          2.5
------------------------
6 s^3 + 11 s^2 + 6 s + 1
Transfer function:
0.03847 z^2 + 0.02834 z + 3.776e-017
------------------------------------
 z^3 - 2.232 z^2 + 1.645 z - 0.3998
------------------------------------------------------
Nr. : Element s/(1+sT1)(1+sT2)(1+sT3)
Transfer function:
           s
------------------------
6 s^3 + 11 s^2 + 6 s + 1
Transfer function:
0.05229 z^2 - 0.05239 z + 1.163e-017
------------------------------------
 z^3 - 2.232 z^2 + 1.645 z - 0.3998
------------------------------------------------------
Nr. : Element KS(1+sTV)/(1+sT1)(1+sT2)(1+sT3)
Transfer function:
      12.5 s + 2.5
------------------------
6 s^3 + 11 s^2 + 6 s + 1
Transfer function:
0.6921 z^2 - 0.6265 z + 1.391e-016
----------------------------------
z^3 - 2.232 z^2 + 1.645 z - 0.3998
------------------------------------------------------
Nr. : Element KS/((1+sT1)(1+sT2)(1+sT3)s)
Transfer function:
           2.5
--------------------------
6 s^4 + 11 s^3 + 6 s^2 + s
Transfer function:
0.006925 z^3 + 0.0221 z^2 + 0.004379 z - 2.48e-018
--------------------------------------------------
  z^4 - 3.232 z^3 + 3.877 z^2 - 2.045 z + 0.3998
------------------------------------------------------
Nr. : Element KS((1+sTV)/(1+sT1)(1+sT2)(1+sT3)s)
Transfer function:
       12.5 s + 2.5
--------------------------
6 s^4 + 11 s^3 + 6 s^2 + s
Transfer function:
0.1993 z^3 - 0.02853 z^2 - 0.1373 z + 1.184e-016
------------------------------------------------
 z^4 - 3.232 z^3 + 3.877 z^2 - 2.045 z + 0.3998
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)^2(1+sT2)
Transfer function:
          2.5
-----------------------
2 s^3 + 5 s^2 + 4 s + 1
Transfer function:
0.1032 z^2 + 0.06802 z - 3.776e-017
-----------------------------------
z^3 - 1.992 z^2 + 1.313 z - 0.2865
------------------------------------------------------
Nr. : Element s/(1+sT1)^2(1+sT2)
Transfer function:
           s
-----------------------
2 s^3 + 5 s^2 + 4 s + 1
Transfer function:
0.131 z^2 - 0.1317 z - 2.924e-017
----------------------------------
z^3 - 1.992 z^2 + 1.313 z - 0.2865
------------------------------------------------------
Nr. : Element KS(1+TVs)/(1+sT1)^2(1+sT2)
Transfer function:
     12.5 s + 2.5
-----------------------
2 s^3 + 5 s^2 + 4 s + 1
Transfer function:
 1.741 z^2 - 1.578 z - 1.752e-016
----------------------------------
z^3 - 1.992 z^2 + 1.313 z - 0.2865
------------------------------------------------------
Nr. : Element KS/((1+sT1)^2(1+sT2)s)
Transfer function:
           2.5
-------------------------
2 s^4 + 5 s^3 + 4 s^2 + s
Transfer function:
0.01914 z^3 + 0.05624 z^2 + 0.01024 z + 2.941e-017
--------------------------------------------------
  z^4 - 2.992 z^3 + 3.304 z^2 - 1.599 z + 0.2865
------------------------------------------------------
Nr. : Element KS(1+TVs)/((1+sT1)^2(1+sT2)s)
Transfer function:
      12.5 s + 2.5
-------------------------
2 s^4 + 5 s^3 + 4 s^2 + s
Transfer function:
0.5351 z^3 - 0.1196 z^2 - 0.3299 z + 1.968e-016
-----------------------------------------------
z^4 - 2.992 z^3 + 3.304 z^2 - 1.599 z + 0.2865
------------------------------------------------------
------------------------------------------------------
Nr. : Element KS/(1+sT1)^3
Transfer function:
         2.5
---------------------
s^3 + 3 s^2 + 3 s + 1
Transfer function:
0.1895 z^2 + 0.115 z - 1.915e-017
---------------------------------
z^3 - 1.82 z^2 + 1.104 z - 0.2231
------------------------------------------------------
Nr. : Element s/(1+sT1)^3
Transfer function:
          s
---------------------
s^3 + 3 s^2 + 3 s + 1
Transfer function:
0.2274 z^2 - 0.2299 z + 2.553e-017
----------------------------------
z^3 - 1.82 z^2 + 1.104 z - 0.2231
------------------------------------------------------
Nr. : Element KS(1+TVs)/(1+sT1)^3
Transfer function:
    12.5 s + 2.5
---------------------
s^3 + 3 s^2 + 3 s + 1
Transfer function:
3.033 z^2 - 2.759 z + 7.658e-016
---------------------------------
z^3 - 1.82 z^2 + 1.104 z - 0.2231
------------------------------------------------------
Nr. : Element KS/((1+sT1)^3s)
Transfer function:
          2.5
-----------------------
s^4 + 3 s^3 + 3 s^2 + s
Transfer function:
0.03597 z^3 + 0.09934 z^2 + 0.01699 z - 5.72e-017
-------------------------------------------------
  z^4 - 2.82 z^3 + 2.923 z^2 - 1.327 z + 0.2231
------------------------------------------------------
Nr. : Element KS(1+TVs)/((1+sT1)^3s)
Transfer function:
     12.5 s + 2.5
-----------------------
s^4 + 3 s^3 + 3 s^2 + s
Transfer function:
0.9837 z^3 - 0.2736 z^2 - 0.5578 z - 3.193e-016
-----------------------------------------------
 z^4 - 2.82 z^3 + 2.923 z^2 - 1.327 z + 0.2231
------------------------------------------------------
